Subject: bug#70942: closed (Re: bug#70942: 30.0.50; More build warnings)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 14 May 2024 17:49:02 +0000

Your bug report

#70942: 30.0.50; More build warnings

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70942: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70942
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70942: 30.0.50; More build warnings
From: Eli Zaretskii <[email-masked]>
To: Jacob Faibussowitsch <[email-masked]>
Cc: [email-masked]
Date: Tue, 14 May 2024 20:47:38 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Jacob Faibussowitsch <[email-masked]>
> Date: Tue, 14 May 2024 11:27:36 -0400
> 
> Follow-on from bug #63415, some more build warnings for latest trunk
> (8074c08cd553ab6ee5ffe61cc2e56fb1e0a4fe34) I have collected over the last few weeks:

Thanks for reporting this.

> dispnew.c:3682:12: warning: variable 'changed_p' set but not used [-Wunused-but-set-variable]
>       bool changed_p = 0, mouse_face_overwritten_p = 0;
>            ^
> 1 warning generated.

The variable is used only in a build that supports some GUI display.
However, I don't want to complicate our code to pacify a compiler, so
you'll need to ignore this one.

> xdisp.c:35742:1: warning: unused function 'note_fringe_highlight' [-Wunused-function]
> note_fringe_highlight (struct frame *f, Lisp_Object window, int x, int y,
> ^
> 1 warning generated.

Fixed.

> keyboard.c:5403:19: warning: no previous extern declaration for non-static variable 'lispy_function_keys'
> [-Wmissing-variable-declarations]
> const char *const lispy_function_keys[] =
>                   ^
> keyboard.c:5403:7: note: declare 'static' if the variable is not intended to be used outside of this translation
> unit
> const char *const lispy_function_keys[] =
>       ^
> 1 warning generated.

This is a variable, so the compiler has no business suggesting such
changes.  I left that alone.

> In end of data:
> image/image-dired-util.el:208:14: Warning: the function ‘clear-image-cache’ is not known to be defined.

Fixed.

> In end of data:
> net/eww.el:1365:59: Warning: the function ‘imagep’ is not known to be defined.

Fixed.

> org.texi:15658: warning: @anchor should not appear on @item line
> org.texi:15671: warning: @anchor should not appear on @item line

This warning will go away when the next version of Texinfo is
released, they decided to lift this restriction.

With that, I'm closing this bug.

Subject: 30.0.50; More build warnings
From: Jacob Faibussowitsch <[email-masked]>
To: [email-masked]
Date: Tue, 14 May 2024 11:27:36 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Follow-on from bug #63415, some more build warnings for latest trunk (8074c08cd553ab6ee5ffe61cc2e56fb1e0a4fe34) I have collected over the last few weeks:

C/C++ warnings:
————————————————————————————
dispnew.c:3682:12: warning: variable 'changed_p' set but not used [-Wunused-but-set-variable]
      bool changed_p = 0, mouse_face_overwritten_p = 0;
           ^
1 warning generated.

xdisp.c:35742:1: warning: unused function 'note_fringe_highlight' [-Wunused-function]
note_fringe_highlight (struct frame *f, Lisp_Object window, int x, int y,
^
1 warning generated.

keyboard.c:5403:19: warning: no previous extern declaration for non-static variable 'lispy_function_keys' [-Wmissing-variable-declarations]
const char *const lispy_function_keys[] =
                  ^
keyboard.c:5403:7: note: declare 'static' if the variable is not intended to be used outside of this translation unit
const char *const lispy_function_keys[] =
      ^
1 warning generated.
————————————————————————————

Elisp warnings:
————————————————————————————
In end of data:
image/image-dired-util.el:208:14: Warning: the function ‘clear-image-cache’ is not known to be defined.

In end of data:
net/eww.el:1365:59: Warning: the function ‘imagep’ is not known to be defined.

org.texi:15658: warning: @anchor should not appear on @item line
org.texi:15671: warning: @anchor should not appear on @item line
————————————————————————————

Best Regards,

Jacob Faibussowitsch
(Jacob Fai - booss - oh - vitch)

—

In GNU Emacs 30.0.50 (build 1, aarch64-apple-darwin23.4.0) of 2024-05-14
 built on jfaibussowit-mlt
Repository revision: 8074c08cd553ab6ee5ffe61cc2e56fb1e0a4fe34
Repository branch: master
System Description:  macOS 14.4.1

Configured using:
 'configure --prefix=/Users/jfaibussowit/soft/packages CC=clang
 CXX=clang++ 'CFLAGS=-O3 -mtune=native -flto=thin -std=gnu17
 -Wno-unused-command-line-argument -Wno-unknown-pragmas' 'CXXFLAGS=-O3
 -mtune=native -flto=thin -std=gnu++20 -Wno-unused-command-line-argument
 -Wno-unknown-pragmas' LDFLAGS=-L/opt/homebrew/lib -C --without-x
 --without-ns --without-compress-install --with-native-compilation
 --with-json --with-tree-sitter'

Configured features:
ACL GMP GNUTLS LIBXML2 MODULES NATIVE_COMP NOTIFY KQUEUE PDUMPER SQLITE3
THREADS TREE_SITTER ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix